from util import MathTuple

TICKS_PER_SECOND = 30
TICK_INTERVAL = 1000 / TICKS_PER_SECOND 

AIR_ACCELERATION_FACTOR = 0.85 # realistically should be 0; 1 means walk in air as fast as on ground
AIR_FRICTION_FACTOR = 0.0025 * TICK_INTERVAL
GRAVITATION = 0.001 * TICK_INTERVAL

SPEED = 0.02
JUMPSPEED1 = 0.7
JUMPSPEED2 = 0.55
ANVILVELOCITY = MathTuple(0.15,-0.2)
ANVILSINAROW = 4

ANVILSHORTWAIT = 0.3 * TICKS_PER_SECOND
ANVILLONGWAIT = 0.6 * TICKS_PER_SECOND
ANVILTIMEDRAIN = 5

LAZERMOD=0.2
LAZERWAIT=0.4 * TICKS_PER_SECOND
LAZERMAXSPEED=0.5
LAZERTIMEDRAIN = 3

PERISHTIMEDRAIN = 10
GOD_MIN_HEIGHT = 12
