'''Game main module.

Contains the entry point used by the run_game.py script.

Feel free to put all your game code here, or in other modules in this "lib"
directory.
'''
from __future__ import division
from environment import Environment
from scenes import DemoScene

def main():
	e=Environment()
	import sys
	if "--demo" in sys.argv:
		e.scene=DemoScene(e)
	else:
		from game.menu import mainmenu
		e.scene=mainmenu(e)
	e.mainloop()
